<?php

namespace Engine\RemoteData\InfoBox;

class Field_Callback extends FieldAbstract
{

	protected $callback;

	public function setCallback($callback)
	{
		$this->callback = $callback;
		return $this;
	}

	public function exportAsArray()
	{
		$arr = parent::exportAsArray();
		$arr['callback'] = $this->callback;
		return $arr;
	}


}